Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.views.jsp
Class StrutsBodyTagSupport

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.apache.struts2.views.jsp.StrutsBodyTagSupport

All Implemented Interfaces:
  Serializable, BodyTag, IterationTag, JspTag, Tag

Direct Known Subclasses:
  ComponentTagSupport, IteratorGeneratorTag, SortIteratorTag, SubsetIteratorTag

    public class StrutsBodyTagSupport

extends BodyTagSupport

Contains common functonalities for Struts JSP Tags.

See Also:
  Serialized Form

Field Summary
`private static long` | `serialVersionUID`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`StrutsBodyTagSupport()`

Method Summary
`protected boolean` | `altSyntax()`
`protected String` | `findString(String expr)`
`protected Object` | `findValue(String expr)`
`protected Object` | `findValue(String expr, Class toType)`
`protected String` | `getBody()`
`protected ValueStack` | `getStack()`
`void` | `setId(String string)`
`protected String` | `toString(Throwable t)`
`static String` | `translateVariables(String expression, ValueStack stack)`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doEndTag, doInitBody, doStartTag, getBodyContent, getPreviousOut, release, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

Constructor Detail

### StrutsBodyTagSupport

    public StrutsBodyTagSupport()

Method Detail

### setId

    public void setId(String string)

  Overrides:
    `setId` in class `TagSupport`

### altSyntax

    protected boolean altSyntax()

### getStack

    protected ValueStack getStack()

### findString

    protected String findString(String expr)

### findValue

    protected Object findValue(String expr)

### findValue

    protected Object findValue(String expr,
                               Class toType)

### toString

    protected String toString(Throwable t)

### getBody

    protected String getBody()

### translateVariables

    public static String translateVariables(String expression,
                                            ValueStack stack)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.